
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：个体防护措施
    /// </summary>
    [Description("个体防护措施")]
    public class T_HM_EVALUATE_HAZARD_INDIVIDUAL_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 职业危害库ID
        /// </summary>
        [Description("职业危害库ID")]
        [DataFieldForeignKey("Nav_EvaluateHazard", "Nav_EvaluateHazardIndividualMeasures")]

        public Guid EVALUATE_HAZARD_ID { get; set; }

        /// <summary>
        /// 个体防护措施ID
        /// </summary>
        [Description("个体防护措施")]
        [DataFieldForeignKey("Nav_IndividualMeasures")]
        [FormFieldEdit]
        public Guid INDIVIDUAL_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：职业危害库
        /// </summary>
        [Description("导航属性：职业危害库")]
        public T_HM_EVALUATE_HAZARD Nav_EvaluateHazard { get; set; }

        /// <summary>
        /// 导航属性：个体防护措施
        /// </summary>
        [Description("导航属性：个体防护措施")]
        public T_HM_INDIVIDUAL_MEASURES Nav_IndividualMeasures { get; set; }
    }
}
